<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.scytl.products.ov.channel.ea</groupId>
        <artifactId>extended-authentication</artifactId>
        <version>2.1.7</version>
    </parent>

    <groupId>com.scytl.products.ov.channel.ea.services</groupId>
    <artifactId>extended-authentication-services</artifactId>
    <packaging>jar</packaging>
    <name>Online Voting - Extended Authentication - Services</name>

    <properties>
        <system-rules.version>1.16.1</system-rules.version>
    </properties>

    <dependencies>
        <!-- Local dependencies -->
        <!-- OV Commons -->
        <dependency>
            <groupId>com.scytl.products.ov.channel.commons</groupId>
            <artifactId>ov-commons-logging</artifactId>
        </dependency>
        <dependency>
            <groupId>com.scytl.products.ov.channel.commons.lib</groupId>
            <artifactId>ov-commons-lib</artifactId>
        </dependency>
        <dependency>
            <groupId>com.scytl.products.ov.channel.commons.lib</groupId>
            <artifactId>ov-commons-lib-persistence</artifactId>
        </dependency>
        <dependency>
            <groupId>com.scytl.products.ov.channel.commons</groupId>
            <artifactId>ov-commons-infrastructure</artifactId>
        </dependency>
        <dependency>
            <groupId>com.scytl.products.ov.channel.commons</groupId>
            <artifactId>ov-commons-sign</artifactId>
        </dependency>
        <dependency>
            <groupId>de.akquinet.jbosscc</groupId>
            <artifactId>jbosscc-needle</artifactId>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.easymock</groupId>
            <artifactId>easymock</artifactId>
            <scope>test</scope>
        </dependency>

        <dependency>
            <groupId>com.github.stefanbirkner</groupId>
            <artifactId>system-rules</artifactId>
            <version>${system-rules.version}</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.jmockit</groupId>
            <artifactId>jmockit</artifactId>
            <version>${jmockit.version}</version>
        </dependency>

        <dependency>
            <groupId>org.hsqldb</groupId>
            <artifactId>hsqldb</artifactId>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.apache.geronimo.specs</groupId>
            <artifactId>geronimo-osgi-locator</artifactId>
            <scope>test</scope>
        </dependency>

        <!-- JPA Service provider -->
        <dependency>
            <groupId>org.hibernate</groupId>
            <artifactId>hibernate-entitymanager</artifactId>
        </dependency>
        <dependency>
            <groupId>org.bouncycastle</groupId>
            <artifactId>bcprov-jdk15on</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>com.fasterxml.jackson.dataformat</groupId>
            <artifactId>jackson-dataformat-csv</artifactId>
            <version>${jackson.version}</version>
        </dependency>
        
        <dependency>
            <groupId>commons-io</groupId>
            <artifactId>commons-io</artifactId>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <!-- Generates a jar with the junits that can be reused in other modules -->
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-jar-plugin</artifactId>
                <version>2.6</version>
                <executions>
                    <execution>
                        <goals>
                            <goal>test-jar</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>

	<profiles>
      <profile>
        <id>skipTestRun</id>
        <activation>
          <property>
            <name>skipTests</name>
            <value>!true</value>
          </property>
        </activation>
        <dependencies>
          <dependency>
              <groupId>com.scytl.products.ov.channel.commons.lib</groupId>
              <artifactId>ov-commons-lib-persistence</artifactId>
              <type>test-jar</type>
              <scope>test</scope>
          </dependency>
          <dependency>
              <groupId>com.scytl.products.ov.channel.commons.lib</groupId>
              <artifactId>ov-commons-lib</artifactId>
              <version>${project.version}</version>
              <scope>test</scope>
              <type>test-jar</type>
          </dependency>
        </dependencies>
      </profile>
    </profiles>
</project>
